# Function forDb

- forDb(db): {
  run: ProcessorRunner<Resources.Collections>;
  forProvider(provider) => {
  run: ProcessorRunner<Resources.Collections>;
  };
  }

- #### Parameters

  - ##### db: Meta.Db<Resources.Collections>

  #### Returns {
  run: ProcessorRunner<Resources.Collections>;
  forProvider(provider) => {
  run: ProcessorRunner<Resources.Collections>;
  };
  }

  - ##### run: ProcessorRunner<Resources.Collections>

  - ##### forProvider:function

    - forProvider(provider): {
      run: ProcessorRunner<Resources.Collections>;
      }

    - #### Parameters

      - ##### provider: Provider

      #### Returns {
      run: ProcessorRunner<Resources.Collections>;
      }

      - ##### run: ProcessorRunner<Resources.Collections>

      - Defined in packages/db/src/meta/process/run.ts:35
  - Defined in packages/db/src/meta/process/run.ts:32

Generated using TypeDoc